API ReferenceapiliveGET /v1/live/calls/{id}

GET /v1/live/calls/\{id\}

Service: live · operationId: (none)

Get call status (DB row + best-effort Stream live status)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Call

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "host_user_id": {
      "type": "string"
    },
    "title": {
      "type": "string"
    },
    "scheduled_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "started_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "ended_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "stream_call_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "stream_call_type": {
      "type": "string"
    },
    "recording_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "recording_ready_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "status": {
      "type": "string",
      "enum": [
        "scheduled",
        "live",
        "ended",
        "errored"
      ]
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    },
    "live": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "is_live": {
          "type": "boolean"
        },
        "current_session_id": {
          "type": [
            "string",
            "null"
          ]
        },
        "ended_at": {
          "type": [
            "string",
            "null"
          ],
          "format": "date-time"
        }
      },
      "required": [
        "is_live",
        "current_session_id",
        "ended_at"
      ]
    }
  },
  "required": [
    "id",
    "host_user_id",
    "title",
    "scheduled_at",
    "started_at",
    "ended_at",
    "stream_call_id",
    "stream_call_type",
    "recording_url",
    "recording_ready_at",
    "status",
    "created_at",
    "updated_at",
    "live"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://live.platform.loop.health/v1/live/calls/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"